Endpoint
POST /v3/universal-ai (sync)
Model string pattern: image/face_detection/{provider}[/{model}]
Input
| Field | Type | Required | Description |
|---|---|---|---|
| file | file_input | Yes | Image file ID from /v3/upload or direct file URL |
Output
| Field | Type | Required | Description |
|---|---|---|---|
| items | array[object] | No | |
| confidence | float | Yes | |
| landmarks | object | Yes | |
| left_eye | array[float] | No | |
| left_eye_top | array[float] | No | |
| left_eye_right | array[float] | No | |
| left_eye_bottom | array[float] | No | |
| left_eye_left | array[float] | No | |
| right_eye | array[float] | No | |
| right_eye_top | array[float] | No | |
| right_eye_right | array[float] | No | |
| right_eye_bottom | array[float] | No | |
| right_eye_left | array[float] | No | |
| left_eyebrow_left | array[float] | No | |
| left_eyebrow_right | array[float] | No | |
| left_eyebrow_top | array[float] | No | |
| right_eyebrow_left | array[float] | No | |
| right_eyebrow_right | array[float] | No | |
| left_pupil | array[float] | No | |
| right_pupil | array[float] | No | |
| nose_tip | array[float] | No | |
| nose_bottom_right | array[float] | No | |
| nose_bottom_left | array[float] | No | |
| mouth_left | array[float] | No | |
| mouth_right | array[float] | No | |
| right_eyebrow_top | array[float] | No | |
| midpoint_between_eyes | array[float] | No | |
| nose_bottom_center | array[float] | No | |
| nose_left_alar_out_tip | array[float] | No | |
| nose_left_alar_top | array[float] | No | |
| nose_right_alar_out_tip | array[float] | No | |
| nose_right_alar_top | array[float] | No | |
| nose_root_left | array[float] | No | |
| nose_root_right | array[float] | No | |
| upper_lip | array[float] | No | |
| under_lip | array[float] | No | |
| under_lip_bottom | array[float] | No | |
| under_lip_top | array[float] | No | |
| upper_lip_bottom | array[float] | No | |
| upper_lip_top | array[float] | No | |
| mouth_center | array[float] | No | |
| mouth_top | array[float] | No | |
| mouth_bottom | array[float] | No | |
| left_ear_tragion | array[float] | No | |
| right_ear_tragion | array[float] | No | |
| forehead_glabella | array[float] | No | |
| chin_gnathion | array[float] | No | |
| chin_left_gonion | array[float] | No | |
| chin_right_gonion | array[float] | No | |
| upper_jawline_left | array[float] | No | |
| mid_jawline_left | array[float] | No | |
| mid_jawline_right | array[float] | No | |
| upper_jawline_right | array[float] | No | |
| left_cheek_center | array[float] | No | |
| right_cheek_center | array[float] | No | |
| emotions | object | Yes | |
| joy | int | Yes | |
| sorrow | int | Yes | |
| anger | int | Yes | |
| surprise | int | Yes | |
| disgust | int | Yes | |
| fear | int | Yes | |
| confusion | int | Yes | |
| calm | int | Yes | |
| unknown | int | Yes | |
| neutral | int | Yes | |
| contempt | int | Yes | |
| poses | object | Yes | |
| pitch | float | Yes | |
| roll | float | Yes | |
| yaw | float | Yes | |
| age | float | Yes | |
| gender | string | Yes | |
| bounding_box | object | Yes | |
| x_min | float | Yes | |
| x_max | float | Yes | |
| y_min | float | Yes | |
| y_max | float | Yes | |
| hair | object | Yes | |
| hair_color | array[object] | No | |
| color | string | Yes | |
| confidence | float | Yes | |
| bald | float | Yes | |
| invisible | bool | Yes | |
| facial_hair | object | Yes | |
| moustache | float | Yes | |
| beard | float | Yes | |
| sideburns | float | Yes | |
| quality | object | Yes | |
| noise | float | Yes | |
| exposure | float | Yes | |
| blur | float | Yes | |
| brightness | float | Yes | |
| sharpness | float | Yes | |
| makeup | object | Yes | |
| eye_make | bool | Yes | |
| lip_make | bool | Yes | |
| accessories | object | Yes | |
| sunglasses | float | Yes | |
| reading_glasses | float | Yes | |
| swimming_goggles | float | Yes | |
| face_mask | float | Yes | |
| eyeglasses | float | Yes | |
| headwear | float | Yes | |
| occlusions | object | Yes | |
| eye_occluded | bool | Yes | |
| forehead_occluded | bool | Yes | |
| mouth_occluded | bool | Yes | |
| features | object | Yes | |
| eyes_open | float | Yes | |
| smile | float | Yes | |
| mouth_open | float | Yes |
Available Providers
| Provider | Model String | Price |
|---|---|---|
| amazon | image/face_detection/amazon | $1 per 1,000 files |
| api4ai | image/face_detection/api4ai | $0.75 per 1,000 files |
| clarifai | image/face_detection/clarifai | $2 per 1,000 files |
image/face_detection/google | $1.5 per 1,000 files |